Redcore Linux Project Forum

Unfortunately no one can be told what Redcore Linux is - you have to see it for yourself.

You are not logged in.

#1 2022-10-18 20:45:42

PerfMonk
Member
From: Québec
Registered: 2022-10-09
Posts: 7

sisyphus timeout [SOLVED]

I have a big update to do and sisyphus is very slow to download everything.  But the problem is that is at some point it get a connection timeout and I have to retry the upgrade.  But everytime I retry, it restart EVERY download that it had already done ???  Is that possible that it keeps the package already downloaded and just continue what wasn't done before ?   I dont know how I can get thru this big upgrade (188 binary packages) ...

Here is the error message from sisyphus :

>>> Downloading binary (134 of 188) kde-apps/libkdegames-22.08.2.tbz2
Traceback (most recent call last):
  File "/usr/lib/python3.10/urllib/request.py", line 1788, in open
    return getattr(self, name)(url)
  File "/usr/lib/python3.10/urllib/request.py", line 1966, in open_http
    return self._open_generic_http(http.client.HTTPConnection, url, data)
  File "/usr/lib/python3.10/urllib/request.py", line 1946, in _open_generic_http
    http_conn.request("GET", selector, headers=headers)
  File "/usr/lib/python3.10/http/client.py", line 1282, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1328, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1277, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1037, in _send_output
    self.send(msg)
  File "/usr/lib/python3.10/http/client.py", line 975, in send
    self.connect()
  File "/usr/lib/python3.10/http/client.py", line 941, in connect
    self.sock = self._create_connection(
  File "/usr/lib/python3.10/socket.py", line 845, in create_connection
    raise err
  File "/usr/lib/python3.10/socket.py", line 833, in create_connection
    sock.connect(sa)
TimeoutError: [Errno 110] Connection timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/sisyphus", line 290, in <module>
    app()
  File "/usr/lib/python3.10/site-packages/typer/main.py", line 213, in __call__
    return get_command(self)()
  File "/usr/lib/python3.10/site-packages/click/core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python3.10/site-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python3.10/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/usr/lib/python3.10/site-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python3.10/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python3.10/site-packages/typer/main.py", line 496, in wrapper
    return callback(**use_params)  # type: ignore
  File "/usr/bin/sisyphus", line 206, in upgrade
    sisyphus.upgradePkg.start()
  File "/usr/lib/python3.10/site-packages/sisyphus/upgradePkg.py", line 33, in start
    wget.download(isBinhost + binary)
  File "/usr/lib/python3.10/site-packages/wget.py", line 313, in download
    (tmpfile, headers) = ThrowOnErrorOpener().retrieve(url, tmpfile, callback)
  File "/usr/lib/python3.10/urllib/request.py", line 1822, in retrieve
    fp = self.open(url, data)
  File "/usr/lib/python3.10/urllib/request.py", line 1794, in open
    raise OSError('socket error', msg).with_traceback(sys.exc_info()[2])
  File "/usr/lib/python3.10/urllib/request.py", line 1788, in open
    return getattr(self, name)(url)
  File "/usr/lib/python3.10/urllib/request.py", line 1966, in open_http
    return self._open_generic_http(http.client.HTTPConnection, url, data)
  File "/usr/lib/python3.10/urllib/request.py", line 1946, in _open_generic_http
    http_conn.request("GET", selector, headers=headers)
  File "/usr/lib/python3.10/http/client.py", line 1282, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1328, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1277, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1037, in _send_output
    self.send(msg)
  File "/usr/lib/python3.10/http/client.py", line 975, in send
    self.connect()
  File "/usr/lib/python3.10/http/client.py", line 941, in connect
    self.sock = self._create_connection(
  File "/usr/lib/python3.10/socket.py", line 845, in create_connection
    raise err
  File "/usr/lib/python3.10/socket.py", line 833, in create_connection
    sock.connect(sa)
OSError: [Errno socket error] [Errno 110] Connection timed out

Is there any way to avoid the timeout ???   And can we download binaries in parallel ?

I'm new to Redcore so be kind please  smile

Regards,
           BT

Last edited by PerfMonk (2022-10-31 15:17:57)

Offline

#2 2022-10-19 04:14:26

PerfMonk
Member
From: Québec
Registered: 2022-10-09
Posts: 7

Re: sisyphus timeout [SOLVED]

I have been trying to upgrade for many hours and I'm not able to go thru this update at all.  And I get to re-download everythings until the download breaks again.
I tried also with sisyphus-gui but it abend during the upgrade.  It just vanished without a word. I guess it because of the timeout with the cli.

Connection from my side looks absolutely normal and provider test speed does give normal numbers.  Are you having problem with the redcore linux infrastructure ???  I have tried every sisyphus mirror without success it ALWAYS fail to upgrade.

Please let me know if everything is ok on your side.

Regards,
          Bernard unable to update redcore.

Last edited by PerfMonk (2022-10-20 19:40:12)

Offline

#3 2022-10-24 21:46:33

V3n3RiX
Administrator
Registered: 2021-11-04
Posts: 17

Re: sisyphus timeout [SOLVED]

You can upgrade the system using portage :

emerge -NuDgav --backtrack=100 --with-bdeps=y --rebuilt-binaries @world
emerge --depclean -va

To update sisyphus' package database afterwards:

sisyphus spmsync

Meanwhile I will try to rethink the way sisyphus downloads the packages and implement a solution to keep the cache around. The current design in which it discards the package cache is by choice. At the time I wrote the code something was breaking if we didn't discard the package cache. I guess that choice stayed to this day.

Would you mind filing a bug report in the bugtracker? So I remember about it? Thank you!

Offline

#4 2022-10-31 15:15:56

PerfMonk
Member
From: Québec
Registered: 2022-10-09
Posts: 7

Re: sisyphus timeout [SOLVED]

Thanks,   

I'have been updating my Redcore VM with emerge and it works without any problems.  sisyphus is still unreliable for me when upgrading more that 5  to 10 packages. 

If I understood well the emerge statement, the "-g" is for "getbinpkgonly" and tells emerge to get binaries packages first and "--rebuilt-binaries" is telling emerge to use any binaries that more recent than the one installed.

It should be the equivalent call that sisyphus would do normally to upgrade the whole world.

Thanks for the solution and good luck with sisyphus.

Regards,
            Bernard

Last edited by PerfMonk (2022-10-31 15:16:47)

Offline

#5 2022-11-04 23:40:37

PerfMonk
Member
From: Québec
Registered: 2022-10-09
Posts: 7

Re: sisyphus timeout [SOLVED]

I still have problem to do "sisyphus upgrade" but I did upgrade with emerge the package sys-kernel/linux-firmware wich is a very big package (393MB).

After the "#  emerge -NuDgav --backtrack=100 --with-bdeps=y --rebuilt-binaries sys-kernel/linux-firmware"

I could do a successfull "# sisyphus upgrade"

So I guess that the size of the package (and the speed of the server) makes linux-firmware very difficult to upgrade witth sisyphus.

I hope it can help other with the same problem.


Regards,

             Bernard


PS:  I notice that sisyphus did not redownloaded packages already downloaded just before. Thanks for the correction.

Offline

Board footer

Powered by FluxBB